ResponseRouterCollection (Mule ESB 2.2.1 API)
Keywords: org.mule.api.routing.ResponseRouterCollection interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.api.routing
Interface ResponseRouterCollection

All Superinterfaces:
  Disposable, Initialisable, RouterCollection

All Known Implementing Classes:
  DefaultResponseRouterCollection

    public interface ResponseRouterCollection

extends RouterCollection

`ResponseRouterCollection` is a router that can be used to control how the response in a request/response message flow is created. Its main use case is to aggregate a set of asynchonous events into a single response.

Field Summary

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Method Summary
`void` | `addEndpoint(InboundEndpoint endpoint)`
`InboundEndpoint` | `getEndpoint(String name)`
`List` | `getEndpoints()`
`MuleMessage` | `getResponse(MuleMessage message)`
`int` | `getTimeout()`
`boolean` | `hasEndpoints()`
`boolean` | `removeEndpoint(InboundEndpoint endpoint)`
`ResponseRouter` | `removeRouter(ResponseRouter router)`
`void` | `route(MuleEvent event)`
`void` | `setEndpoints(List endpoints)`
`void` | `setTimeout(int timeout)`

Methods inherited from interface org.mule.api.routing.RouterCollection
`addRouter, getCatchAllStrategy, getRouters, getStatistics, isMatchAll, removeRouter, setCatchAllStrategy, setMatchAll, setRouters, setStatistics`

Methods inherited from interface org.mule.api.lifecycle.Initialisable
`initialise`

Methods inherited from interface org.mule.api.lifecycle.Disposable
`dispose`

Method Detail

### route

    void route(MuleEvent event)
               throws RoutingException

  Throws:
    `RoutingException`

### getResponse

    MuleMessage getResponse(MuleMessage message)
                            throws MuleException

  Throws:
    `MuleException`

### removeRouter

    ResponseRouter removeRouter(ResponseRouter router)

### addEndpoint

    void addEndpoint(InboundEndpoint endpoint)

### removeEndpoint

    boolean removeEndpoint(InboundEndpoint endpoint)

### getEndpoints

    List getEndpoints()

### getEndpoint

    InboundEndpoint getEndpoint(String name)

  Parameters:
    `name` - the Endpoint identifier
  Returns:
    the Endpoint or null if the endpointUri is not registered
  See Also:
    `ResponseRouterCollection`

### setEndpoints

    void setEndpoints(List endpoints)

### getTimeout

    int getTimeout()

### setTimeout

    void setTimeout(int timeout)

### hasEndpoints

    boolean hasEndpoints()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.